Skip to main content
POST
Create a video using AI generation.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Body

application/json

Video generation request

Request body for generating a video

model
string
required

fal.ai model (must start with fal-ai/)

prompt
string
required

Text prompt for video generation

aspect_ratio
string
default:16:9

Aspect ratio: 16:9, 9:16, 1:1, 4:3 (default: 16:9)

audio_urls
string[]

Reference audio URLs for reference-to-video models (max 3). Refer to them in the prompt as @Audio1, @Audio2, ...

camera_motion
string
default:static

Camera motion type: static, pan_left, pan_right, zoom_in, zoom_out, tilt_up, tilt_down

companyId
string

Company ID

duration
integer
default:5

Video duration in seconds (default: 5)

end_image_id
string

ID for the end frame image (optional, image-to-video models)

end_image_url
string

URL for the end frame (optional, image-to-video models)

first_frame_id
string

ID for first frame image

first_frame_url
string

URL for first frame (for first-last-frame models)

generate_audio
boolean

Whether the model should generate native audio

image_id
string

ID for source image (for image-to-video models)

image_url
string

URL for source image (for image-to-video models)

image_urls
string[]

Reference image URLs for reference-to-video models (max 9). Refer to them in the prompt as @Image1, @Image2, ...

last_frame_id
string

ID for last frame image

last_frame_url
string

URL for last frame (for first-last-frame models)

motion_intensity
string
default:medium

Motion intensity (low, medium, high)

resolution
string

Resolution, e.g. '720p' or '1080p'. Model-specific; omit to use the model's default.

seed
integer

Seed for reproducible generation

style
string
default:realistic

Video style: realistic, cinematic, animated, artistic

video_urls
string[]

Reference video URLs for reference-to-video models (max 3). Refer to them in the prompt as @Video1, @Video2, ...

Response

Video generation queued

Video creation response

id
string

Video ID

msg
string

Success message

status
string

Generation status (generating)